--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Refreshes each source in the cache from its repository. If <tt>all</tt> is false, only latest gems are updated.
full_name: Gem::SourceInfoCache#refresh
is_singleton: false
name: refresh
params: (all)
visibility: public
